Bug 205720 - modinfo on diskdump kernel module is not displaying kernel parameters
modinfo on diskdump kernel module is not displaying kernel parameters
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Takao Indoh
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-08 04:00 EDT by Riaan van Niekerk
Modified: 2013-08-05 23:49 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-09-13 12:28:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
linux-2.6.9-diskdump-parmdesc.patch (2.10 KB, patch)
2007-03-07 12:25 EST, Nobuhiro Tachino
no flags Details | Diff

  None (edit)
Description Riaan van Niekerk 2006-09-08 04:00:35 EDT
Description of problem:
 diskdump kernel module is not displaying its parameters when using modinfo: 
block_order, sample_rate, dump_level, compress

Version-Release number of selected component (if applicable):
 kernel 2.6.9-42.EL

How reproducible:
 every time

Steps to Reproduce:
 modinfo -p diskdump 

Actual results:
 displays nothing

Expected results:
 displays the above module parameters and their purpose
Comment 1 Nobuhiro Tachino 2007-03-07 12:25:09 EST
Created attachment 149471 [details]
linux-2.6.9-diskdump-parmdesc.patch

This patch fixes the problem. With the patch, "modinfo diskdump" shows the
following:

# modinfo diskdump						     
filename:	/lib/modules/2.6.9-49.ELfj1smp/kernel/drivers/block/diskdump.ko

license:	GPL
parm:		compress:Specify whether compression for dump data is enabled
or not. The default value is 0, which means that memory pages will be dumped
without compression. If the value is 1, memory pages will be compressed using
the deflation algorithm, GZIP.
parm:		dump_level:A memory collection level that specifies which
memory pages will be dumped. Default value of 0 dumps all pages of physical RAM
into the vmcore file. To avoid excessively large vmcore files, page cache
pages, zero-filled pages, free pages, and user application pages may be
eliminated from the file. Please refer README in diskdumputils package for more
detail of each value
parm:		sample_rate:Determine how many blocks in the dump partition are
verified before actual memory dumping begins. Default value is 8, which means
one of every "1<<8" (256) blocks are verified. Specifying zero means all blocks
in the partition are verified, and a minus value disables verification.
parm:		block_order:Specifies the dump-time I/O block size. Default
value is 2, which sets the I/O block size equal to "page-size << 2", or 16
kbytes on an i386 machine. Larger values may make for better performance, but
occupies more module memory.
depends:	
vermagic:	2.6.9-49.ELfj1smp SMP gcc-3.4
Comment 2 Red Hat Bugzilla 2007-10-19 00:05:49 EDT
User ntachino@redhat.com's account has been closed
Comment 3 Linda Wang 2007-11-27 18:51:02 EST
please give the patch in comment#1, linux-2.6.9-diskdump-parmdesc.patch
a try, and let us know if it works for you or not.
Comment 4 Riaan van Niekerk 2007-11-28 00:19:09 EST
Unfortunately I do not have a system set up to try out this patch. I have 
looked at the patch as well as the usage (modinfo diskdump) and both look OK. 

If you want more definite confirmation, please generate a test RPM package, and 
I will test that instead.
Comment 5 Takao Indoh 2011-09-13 12:28:34 EDT
This is very old bz and I think as of now nobody needs this, so I close this bz. Please reopen if anyone need this.

Note You need to log in before you can comment on or make changes to this bug.